Bug 1184900 (CVE-2021-3493)

Summary: VUL-1: CVE-2021-3493: kernel-source: overlayfs fs caps privilege escalation
Product: [Novell Products] SUSE Security Incidents Reporter: Alexander Bergmann <abergmann>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED INVALID QA Contact: Security Team bot <security-team>
Severity: Minor    
Priority: P4 - Low CC: abergmann, bpetkov, ddiss, smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/282190/
Whiteboard:
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Alexander Bergmann 2021-04-16 15:04:12 UTC
CVE-2021-3493

oss-sec
mailing list archives




  By Date  
     
  By Thread  
     
    










[CVE-2021-3493] Ubuntu Linux kernel overlayfs fs caps privilege escalation



From: Steve Beattie 
Date: Thu, 15 Apr 2021 14:31:14 -0700





Hello,

An independent security researcher reported via the SSD Secure
Disclosure program that the overlayfs stacking file system within the
Linux kernel as used within Ubuntu did not properly validate the
application of file capabilities against user namespaces.

This issue is likely Ubuntu specific, as Ubuntu carries a patch to
enable unprivileged overlayfs mounts. The combination of that patch
plus allowing unprivileged user namespaces by default in Ubuntu allows
an unprivileged attacker to gain elevated privileges.

A commit that addresses the issue was applied in the upstream kernel:

  7c03e2cda4a5 ("vfs: move cap_convert_nscap() call into vfs_setxattr()") (v5.10)

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=7c03e2cda4a5

It was added prior to the upstream kernel commit allowing unprivileged
overlayfs mounts:

  459c7c565ac3 ("ovl: unprivieged mounts") (v5.11)

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=459c7c565ac3

Thus the upstream Linux kernel is not affected.

-- 
Steve Beattie

Attachment:
signature.asc
Description: 









  By Date  
     
  By Thread  

Current thread:

[CVE-2021-3493] Ubuntu Linux kernel overlayfs fs caps privilege escalation Steve Beattie (Apr 16)








References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-3493
http://seclists.org/oss-sec/2021/q2/24
Comment 4 David Disseldorp 2021-04-16 22:34:19 UTC
I think we're okay here. We don't carry overlayfs unprivileged mount support (FS_USERNS_MOUNT) in any SLE branches.
Comment 5 Borislav Petkov 2021-04-17 08:15:47 UTC
Ok, thx. Bouncing back.
Comment 6 Alexander Bergmann 2021-04-20 14:35:34 UTC
Closing as invalid.